communities plugin installation instructions - are they outdated?

the instructions direct us to mu-plugins. Is this correct?